
From: Jeff Dike <jdike@addtoit.com>

Noticed by Al Viro <viro@parcelfarce.linux.theplanet.co.uk> - SMP on x86_64 is
fundamentally broken due to UML's reuse of the host arch's percpu stuff.  This
is OK on x86, but the x86_64 pda stuff just won't work for UML.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Paolo Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/Kconfig        |    2 +-
 arch/um/Kconfig.x86_64 |    4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

diff -puN arch/um/Kconfig~uml-mark-smp-on-uml-x86_64-as-broken arch/um/Kconfig
--- devel/arch/um/Kconfig~uml-mark-smp-on-uml-x86_64-as-broken	2005-08-30 00:11:15.000000000 -0700
+++ devel-akpm/arch/um/Kconfig	2005-08-30 00:11:15.000000000 -0700
@@ -196,7 +196,7 @@ config HOST_2G_2G
 config SMP
 	bool "Symmetric multi-processing support (EXPERIMENTAL)"
 	default n
-	depends on MODE_TT && EXPERIMENTAL
+	depends on (MODE_TT && EXPERIMENTAL && !SMP_BROKEN) || (BROKEN && SMP_BROKEN)
 	help
 	This option enables UML SMP support.
 	It is NOT related to having a real SMP box. Not directly, at least.
diff -puN arch/um/Kconfig.x86_64~uml-mark-smp-on-uml-x86_64-as-broken arch/um/Kconfig.x86_64
--- devel/arch/um/Kconfig.x86_64~uml-mark-smp-on-uml-x86_64-as-broken	2005-08-30 00:11:15.000000000 -0700
+++ devel-akpm/arch/um/Kconfig.x86_64	2005-08-30 00:11:15.000000000 -0700
@@ -37,3 +37,7 @@ config ARCH_HAS_SC_SIGNALS
 config ARCH_REUSE_HOST_VSYSCALL_AREA
 	bool
 	default n
+
+config SMP_BROKEN
+	bool
+	default y
_
